Bug 536205 - (RHQ-580) [gui config editor] support allowCustomValue option for enum simple properties
[gui config editor] support allowCustomValue option for enum simple properties
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: John Mazzitelli
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks: config/individual-config
  Show dependency treegraph
Reported: 2008-06-15 20:55 EDT by John Mazzitelli
Modified: 2013-09-01 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-06-15 20:55:00 EDT
In the <configuration> section of a plugin descriptor, you can specify <property-options>

<simple-property name="databaseType">
    <c:option value="mysql"/>
    <c:option value="oracle"/>
    <c:option value="postgres"/>

The schema for <property-options> also defines an "allowCustomValues" attribute. If true, this is supposed to render a text box above the hard-coded selections to allow the user to enter a text value for a custom value (in the example above, in order for me to allow the user to select "sybase", I would need to do this:

<property-options allowCustomValue="true">

This allowCustomValues isn't implemented. To implement it, it requires the config UI to be coded up to support that value.
Comment 1 Joseph Marques 2008-06-15 21:08:45 EDT
fair enough.  hopefully, in your case, if you only have a single option you need to add, you'll be able to just extend this and just hard-code <c:opton value="sybase" /> for now...which I'm sure you've already done by now.  ; )
Comment 2 Red Hat Bugzilla 2009-11-10 16:12:19 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-580
Comment 3 Ian Springer 2012-04-12 10:30:02 EDT
It's also already supported by the domain model - PropertyDefinitionSimple contains:

    @Column(name = "ALLOW_CUSTOM_ENUM_VALUE")
    private boolean allowCustomEnumeratedValue = false;
Comment 4 John Mazzitelli 2012-04-12 12:10:49 EDT
This might be a simple enhancement.

I see the agent plugin already uses this flag in some of the security settings it has and I see in the database that column ips mentioned IS marked as "true" - so we already support this at the data layer. I think this means we only need to get this in the GUI.

I'll give this a quick stab to see if its a simple fix.
Comment 5 John Mazzitelli 2012-04-12 16:45:16 EDT
git commit to master: 472e72f

the RHQ Agent plugin defines some of these "allow-custom-values" properties. See the resource configuration group "Communication Security". There are about 10 of them, one of which is "Incoming: Secure Socket Protocol".

We need to make sure we test both individual resource config as well as the group editor (the Config tab for a group that has agents in them) and the group member editor (that is, click the pencil icon on the group config view to popup the group member editor).
Comment 6 Heiko W. Rupp 2013-09-01 06:12:33 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.